title1 1971 CENSUS OF CANADA- BST: EA-SHORT FORM- A1DEMOO1
title2 SAS commands by S Kumar, UT/DLS 07/2001
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
       ;
VALUE  V7_F   1          = 'RURAL'
             2          = 'CTV'
             3          = 'URBAN'
             4          = 'URBAN'
             5          = 'URBAN'
             6          = 'URBAN'
             7          = 'URBAN'
             8          = 'URBAN'
             9          = 'URBAN'
       ;
VALUE  V10_F   1          = 'LARGEST CITY'
             2          = 'REMAINDER URBANI'
             3          = 'FRINGE- URBAN'
             4          = 'FRINGE- RURAL'
       ;
VALUE  $V11_F   'A' = '>_500000 (U)'
             'B' = '100000-499999 (U'
             'C' = '30000-99999 (U)'
             'D' = '10000-29999 (U)'
             'E' = '5000-9999 (U)'
             'F' = '2500-4999 (U)'
             'G' = '1000-2499 (U)'
             'H' = '< 1000 (U)'
             '1' = '>_500000 (R)'
             '2' = '100000-499999 (R'
             '3' = '30000-99999 (R)'
             '4' = '10000-29999 (R)'
             '5' = '5000-9999 (R)'
             '6' = '2500-4999 (R)'
             '7' = '1000-2499 (R)'
             '8' = '< 1000 (R)'
       ;
VALUE  $V47_F   'A' = '>_500000 (U)'
             'B' = '100000-499999(U)'
             'C' = '30000-99999 (U)'
             'D' = '10000-29999 (U)'
             'E' = '5000-9999 (U)'
             'F' = '2500-4999 (U)'
             'G' = '1000-2499 (U)'
             'H' = '< 1000 (U)'
             '1' = 'RURAL'
       ;
VALUE  V20_F   1          = 'URBAN'
             2          = 'RURAL'
       ;
VALUE  V22_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
VALUE  V23_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
VALUE  V24_F   0          = 'CMA-CA'
             1          = 'NON CMA-CA'
       ;
VALUE  V25_F   0          = 'URBAN CORE'
             1          = 'FRINGE AREA'
       ;
VALUE  V26_F   0          = 'LARGEST CITY'
             1          = 'REMAINDER'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       ED   3-4
       EA   5-7
       COUNTY   8-9
       MUNIC   10-11
       SUBDIV   12-13
       RURAL   14-14
       CMA   15-17
       CT   18-20
       CMAPART   21-21
       MUNSIZE   $CHAR1.
       RURSIZE   $CHAR1.
       REFCODE   24-25
       ECONREG   26-27
       CMCA   28-29
       CTV   30-33
       CMA-CA   34-36
       CONTROL   37-37
       MUNSUBDV   38-38
       BLANK1   39-41
       ECONAREA   42-42
       MSUBSIZE   43-43
       RURCODE   44-44
       RURMUN   45-45
       CMACODE1   46-46
       CMACODE2   47-47
       LGECITY   48-48
       BLANK2   49-50
       V1   51-57
       V2   58-64
       V3   65-71
       V4   72-78
       V5   79-85
       V6   86-92
       V7   93-99
       V8   100-106
       V9   107-113
       V10   114-120
       V11   121-127
       V12   128-134
       V13   135-141
       V14   142-148
       V15   149-155
       V16   156-162
       V17   163-169
       V18   170-176
       V19   177-183
       V20   184-190
       V21   191-197
       V22   198-204
       V23   205-211
       V24   212-218
       V25   219-225
       V26   226-232
       V27   233-239
       V28   240-246
       V29   247-253
       V30   254-260
       V31   261-267
       V32   268-274
       V33   275-281
       V34   282-288
       V35   289-295
       V36   296-302
       V37   303-309
       V38   310-316
       V39   317-323
       V40   324-330
       V41   331-337
       V42   338-344
       V43   345-351
       V44   352-358
       V45   359-365
       V46   366-372
       V47   373-379
      ;
LABEL   PROV = 'Province'
        ED = 'Electroral district'
        EA = 'Enumeration area'
        COUNTY = 'County/ Census division'
        MUNIC = 'Municipality'
        SUBDIV = 'Subdivision'
        RURAL = 'Rural/ Urban municipality'
        CMA = 'Metropolitan area/ Census agglomeration'
        CT = 'Census tract'
        CMAPART = 'CMA/ CA part'
        MUNSIZE = 'Municipality size code- Urban'
        RURSIZE = 'Rural/ Urban size code'
        REFCODE = 'Reference code'
        ECONREG = 'Economic region of Statistics Canada'
        CMCA = 'Canada manpower centre area code'
        CTV = 'City, town, village- alphabetic seq numb'
        CMA-CA = 'CMA/ CA- alphabetic seq number'
        CONTROL = 'Casper control field'
        MUNSUBDV = 'Municipal subdivision'
        BLANK1 = 'Blank- for future use'
        ECONAREA = 'Economic area'
        MSUBSIZE = 'Municipal subdivision size'
        RURCODE = 'Rural/urban code'
        RURMUN = 'Rural/urban municipality code'
        CMACODE1 = 'CMA/CA code'
        CMACODE2 = 'CMA/CA code'
        LGECITY = 'Largest city code'
        BLANK2 = 'Blank'
        V1 = 'Total population'
        V2 = 'Total population- males'
        V3 = 'Total population- females'
        V4 = 'Males- under 5 yrs'
        V5 = 'Males- 5 to 14 yrs'
        V6 = 'Males-15 to 24 yrs'
        V7 = 'Males- 25 to 34 yrs'
        V8 = 'Males- 35 to 44 yrs'
        V9 = 'Males- 45 to 54 yrs'
        V10 = 'Males- 55 to 64 yrs'
        V11 = 'Males- 65 & over'
        V12 = 'Females- under 5 yrs'
        V13 = 'Females- 5 to 14 yrs'
        V14 = 'Females-15 to 24 yrs'
        V15 = 'Females- 25 to 34 yrs'
        V16 = 'Females- 35 to 44 yrs'
        V17 = 'Females- 45 to 54 yrs'
        V18 = 'Females- 55 to 64 yrs'
        V19 = 'Females- 65 & over'
        V20 = 'Males- single (under 15 yrs)'
        V21 = 'Males- single (15 yrs & over)'
        V22 = 'Males- married (including separated)'
        V23 = 'Males- widowed'
        V24 = 'Males- divorced'
        V25 = 'Females- single (Under 15 yrs)'
        V26 = 'Females- singles(15 yrs & over)'
        V27 = 'Females- married (including separated)'
        V28 = 'Females- widowed'
        V29 = 'Females- divorced'
        V30 = 'Males- English'
        V31 = 'Males- French'
        V32 = 'Males- German'
        V33 = 'Males- Indian & Eskimo'
        V34 = 'Males- Italian'
        V35 = 'Males- Netherland'
        V36 = 'Males- Polish'
        V37 = 'Males- Ukrainian'
        V38 = 'Males- other'
        V39 = 'Females- English'
        V40 = 'Females- French'
        V41 = 'Females- German'
        V42 = 'Females- Indian & Eskimo'
        V43 = 'Females- Italian'
        V44 = 'Females- Netherland'
        V45 = 'Females- Polish'
        V46 = 'Females- Ukrainian'
        V47 = 'Males- other'
      ;
FORMAT  PROV        V1_F.
        RURAL       V7_F.
        CMAPART     V10_F.
        MUNSIZE     $V11_F.
        RURSIZE     $V47_F.
        ECONAREA    V20_F.
        RURCODE     V22_F.
        RURMUN      V23_F.
        CMACODE1    V24_F.
        CMACODE2    V25_F.
        LGECITY     V26_F.
;
